import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.EOFException;

import lejos.nxt.*;
import lejos.nxt.addon.IRSeekerV2;
import lejos.nxt.comm.USB;
import lejos.nxt.comm.USBConnection;
import lejos.util.Delay;

/**
 * Test of Java streams over USB.
 * Run the PC example, USBSend, to send data.
 *
 * @author Lawrie Griffiths
 *
 */
public class DepugRebota {

    static final double WheelDiameter = 3.7;
    static final double WheelTrackWidth = 12.5;
    static final double RotationSpeed = 50;

    public static void main(String [] args) throws Exception
    {
        LCD.drawString("cakam na majstra", 0, 0);
        USBConnection conn = USB.waitForConnection();
        DataOutputStream dOut = conn.openDataOutputStream();
        DataInputStream dIn = conn.openDataInputStream();

        int m = 0,a = 0;
        while (true)
        {

            try
            {
                //precitaj mode a atribut
                m = dIn.readInt();
                a = dIn.readInt();

                //LCD.drawInt(m,8,0,1);
                //LCD.drawInt(a, 8, 2, 3);
                if(m != 34){
                    //strelka
                    //Sound.beep();
                    MotorPort.A.controlMotor(100, 2);
                    Delay.msDelay(500);
                    MotorPort.A.controlMotor(100, 1);
                    Delay.msDelay(500);
                    MotorPort.A.controlMotor(0, 3);
                    //Motor.A.setSpeed(100);
                    //Delay.msDelay(1000);
                    //Sound.beep();
                    //Motor.A.forward();
                    //Motor.A.rotate(-90);
                    //Delay.msDelay(1000);
                    //Sound.beep();
                    //Motor.A.stop();
                    //Motor.A.rotate(90);
                    /*Sound.beep();
                    Motor.B.setSpeed(a);
                    Delay.msDelay(1000);
                    Sound.beep();
                    Motor.B.rotate(-90);
                    Sound.beep();
                    Delay.msDelay(3000);//w8 kym sa nevrati TODO checkni kolko to trva najpomalsiemu a daj to
                    Motor.B.rotate(90);
                    Sound.beep();*/
                }


            }
            catch (Exception e)
            {

            }
            //odpovedze ze je vsetko ok a si ready
            dOut.writeInt(-m);
            dOut.flush();

            if(m == 47)//koniec
                break;
        }
        //upratujeme a koncime
        dOut.close();
        dIn.close();
        conn.close();
        System.exit(0);
    }
}

