
public class PosCont {

    int[] Robot;//x,y robota
    int RobAngle; //angle robota
    int[] Lopta; //x,y lopty
    int[] Ciel; //x,y ciela
    int polomerLopty = 1;
    int valid = 0;

    public PosCont() {
        this.Robot = new int[2];
        this.Lopta = new int[2];
        this.Ciel = new int[2];
    }

    public PosCont(PosCont curpos) {//pre vytvorenie kopie

        this.Robot = new int[2];
        this.Lopta = new int[2];
        this.Ciel = new int[2];
        if (curpos == null) return;

        this.Robot[0] = curpos.Robot[0];
        this.Robot[1] = curpos.Robot[1];
        this.polomerLopty = curpos.polomerLopty;
        this.valid = curpos.valid;

        this.Lopta[0] = curpos.Lopta[0];
        this.Lopta[1] = curpos.Lopta[1];

        this.Ciel[0] = curpos.Ciel[0];
        this.Ciel[1] = curpos.Ciel[1];

        this.RobAngle = curpos.RobAngle;
    }

    //spocita vzdialenost bodov a, b
    static double calcDist(int[] a, int[] b) {
        if (a.length < 2 || b.length < 2)
            return 0;
        return Math.sqrt((a[0] - b[0]) * (a[0] - b[0]) + (a[1] - b[1]) * (a[1] - b[1]));
    }

    static int calcHeading(int[] from, int[] to) {
        if (from.length < 2 || to.length < 2)
            return 0;
        int res = (int) Math.toDegrees(Math.atan2(to[1] - from[1], to[0] - from[0]));

        res += 360;
        res %= 360;
        return res;
    }

}
